%define name	pv
%define version	0.8.6
%define release	2mdk

Summary:	Monitor the progress of data through a pipe.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
URL:		http://www.ivarch.com/programs/pv.shtml
License:	Artistic
Group:		Development/Other
BuildRequires:	gettext
BuildRequires:	libintl
BuildRequires:	tetex
BuildRequires:	texinfo
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PV ("Pipe Viewer") is a tool for monitoring the progress of data
through a pipeline.  It can be inserted into any normal pipeline
between two processes to give a visual indication of how quickly
data is passing through, how long it has taken, how near to
completion it is, and an estimate of how long it will be until
completion.

%prep
%setup -q

%build
%configure2_5x

%make

make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_infodir}
install -d %{buildroot}%{_mandir}/man1

%{makeinstall_std}

# prepare for html doc inclusion
mkdir html; cp doc/*.html html/

%find_lang %{name}
# note; the nls files should probably be added also somehow in the future...

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%_install_info %{name}.info

%postun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%defattr(-, root, root)
%doc html README doc/NEWS doc/TODO doc/COPYING
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man1/*

%changelog
* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-2mdk
- rebuild

* Wed Jul 28 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.6-1mdk
- 0.8.6

* Sat Jun 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.5-1mdk
- 0.8.5
- rebuilt against new deps and with gcc v3.4.x
- fix deps
- use macros

* Mon Aug 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.0-1mdk
- 0.6.0

* Thu Jul 24 2003 Michael Scherer <scherer.michael@free.fr> 0.5.3-2mdk 
- Fix unpackaged files.

* Mon May 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5.3-1mdk
- initial cooker contrib
